# Create Tags Tags are simple text-based flags or identifiers that you can add to shipments. Adding tags to shipments can help you [query shipments](/apis/shipengine/docs/reference/list-shipments) later. Tags can be a simple label, like `Guaranteed_Overnight` or `Fragile`, whatever you need to help you in your workflow. You can create the tags you wish to use in advance and then [add tags](/apis/shipengine/docs/reference/tag-shipment) to your shipments. However, if you tag a shipment with a tag value that doesn't yet exist, we'll make the tag for you at the same time. ## Example Request & Response In this example, we're creating a tag with the value `east_warehouse`. We could then add this tag to any shipment we know will ship from that warehouse. **POST /v1/tags/:tag_name** ```http POST /v1/tags/east_warehouse HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ Content-Type: application/json ``` **Response** ```json { "name": "east_warehouse" } ```